<?php
	function emoticon($valeur)
	{
		$etat=[];
		$etat[0]='NON EVAL';
		$etat[1]='1';
		$etat[2]='2';
		$etat[3]='3';
		$etat[4]='4';
		$etat[5]='5';
		
		for ($z=0;$z<=5;$z++)
		{
			echo '<span class="favorite"><option value="'.$z.'"';
			if($valeur==$z)
			{
				echo ' selected="selected"';
			}
			echo '>'.$etat[$z].'</option></span>';
		}
	}
	
	function emoticon1($valeur)
	{
		$etat=[];
		$etat[0]='NON EVAL';
		$etat[1]='1';
		$etat[2]='2';
		$etat[3]='3';
		$etat[4]='4';
		$etat[5]='5';
						
		for ($z=0;$z<=5;$z++)
		{
			if($valeur==$z)
			{
				return $etat[$z];
			}
		}
	}
	
	function emoticon2($valeur)
	{
		$etat=[];
		$etat[0]='NON EVAL';
		$etat[1]='&#xE80D;';
		$etat[2]='&#xE802;';
		$etat[3]='&#xE803;';
		$etat[4]='&#xE800;';
		$etat[5]='&#xE80C;';
						
		for ($z=0;$z<=5;$z++)
		{
			if($valeur==$z)
			{
				return $etat[$z];
			}
		}
	}
	
	function enleve_accents($str, $charset='utf-8')
	{
	 $str = htmlentities($str, ENT_NOQUOTES, $charset);
	 $str = preg_replace('#&([A-za-z])(?:acute|cedil|caron|circ|grave|orn|ring|slash|th|tilde|uml);#', '\1', $str);
	 $str = preg_replace('#&([A-za-z]{2})(?:lig);#', '\1', $str); // pour les ligatures e.g. '&oelig;'
	 $str = preg_replace('#&[^;]+;#', '', $str); // supprime les autres caractères
	 return $str;
	}
	
	function generer_mot_de_passe($nb_caractere =6)
	{
		$mot_de_passe = "";
		$chaine = "ABCDEFGHJKLMNOPQRSTUVWXYZ123456789";
		$longeur_chaine = strlen($chaine);
		for($i = 1; $i <= $nb_caractere; $i++)
		{
			$place_aleatoire = mt_rand(0,($longeur_chaine-1));
			$mot_de_passe .= $chaine[$place_aleatoire];
		}
		return $mot_de_passe;		
}
?>